package com.jy.flow.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum FlowStatusEnum {

    TOBESUBMIT(0, "待提交"),
    APPROVAL(1, "审批中"),
    PASS(2, "审批通过"),
    TERMINATE(4, "驳回"),
    CANCEL(6, "撤销"),
    RETRIEVE(7, "取回");

    private final int key;
    private final String desc;

    public String getKeyStr() {
        return key + "";
    }

}
